For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new handling

Create a new handling.

Required permissions: HANDLING

post
/tenants/{tenantUid}/handlings
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Request for creating or updating an orderhandling

handlingUidstringOptionalPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
descriptionstringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanOptional
templateUidForCompletestringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanRequired

All products that require serialnumber must have a serial number set before this handling can be set to COMPLETE

templateUidForCompletestringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/handlings
POST /v2/tenants/{tenantUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "handlingUid": "text",
  "active": true,
  "description": "text",
  "name": "text",
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}
201

Example response

{
  "active": true,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "description": "text",
  "handlingUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "name": "text",
  "triggers": [
    {
      "active": true,
      "trigger": "AUTO_PRINT_PICKUP_LABELS",
      "state": "NOT_STARTED",
      "value": "text",
      "handlingTriggerUid": "text"
    }
  ],
  "requireSerialnumberForComplete": true,
  "templateUidForComplete": "text"
}

Last updated

Was this helpful?